MakeYoYInflationCapFloor Class Reference

helper class More...

`#include <ql/instruments/makeyoyinflationcapfloor.hpp>`

## Public Member Functions

| MakeYoYInflationCapFloor (YoYInflationCapFloor::Type capFloorType, const Size &length, const Calendar &cal, const boost::shared_ptr< YoYInflationIndex > &index, const Period &observationLag, Rate strike=Null< Rate >(), const Period &forwardStart=0 *Days)
MakeYoYInflationCapFloor & | withNominal (Real n)
MakeYoYInflationCapFloor & | withEffectiveDate (const Date &effectiveDate)
MakeYoYInflationCapFloor & | withFirstCapletExcluded ()
MakeYoYInflationCapFloor & | withPaymentDayCounter (const DayCounter &)
MakeYoYInflationCapFloor & | withPaymentAdjustment (BusinessDayConvention)
MakeYoYInflationCapFloor & | withFixingDays (Natural fixingDays)
| operator YoYInflationCapFloor () const
| operator boost::shared_ptr< YoYInflationCapFloor > () const
MakeYoYInflationCapFloor & | asOptionlet (bool b=true)
| only get last coupon
MakeYoYInflationCapFloor & | withPricingEngine (const boost::shared_ptr< PricingEngine > &engine)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate standard yoy inflation cap and floor.